# Reader Class Reference
[Various accompanying utilities]

Inheritance diagram for Reader:
[legend]

List of all members.

## Public Member Functions

| close ()
| read ($count)
| isEof ()
| mark ()
| markSupported ()
| reset ()
| skip ($count)
| available ()
| getWhole ()

## Public Attributes

const | BLOCK_SIZE = 16384

## Detailed Description

Definition at line 15 of file Reader.class.php.

## Member Function Documentation

Reader::available | ( |  | ) |

Reimplemented in BufferedReader.

Definition at line 47 of file Reader.class.php.

Reader::close | ( |  | ) | `[abstract]`

Reimplemented in BufferedReader, FileReader, and StringReader.

Reader::getWhole | ( |  | ) |

Reimplemented in StringReader.

Definition at line 52 of file Reader.class.php.

References isEof(), and read().

Here is the call graph for this function:

Reader::isEof | ( |  | ) |

Reimplemented in BufferedReader, FileReader, and StringReader.

Definition at line 22 of file Reader.class.php.

Referenced by getWhole().

Reader::mark | ( |  | ) |

Reimplemented in BufferedReader, FileReader, and StringReader.

Definition at line 27 of file Reader.class.php.

Reader::markSupported | ( |  | ) |

Reimplemented in BufferedReader, FileReader, and StringReader.

Definition at line 32 of file Reader.class.php.

Reader::read | ( | $ | count | ) | `[abstract]`

Reimplemented in BufferedReader, FileReader, and StringReader.

Referenced by getWhole(), and skip().

Reader::reset | ( |  | ) |

Reimplemented in BufferedReader, FileReader, and StringReader.

Definition at line 37 of file Reader.class.php.

Reader::skip | ( | $ | count | ) |

Reimplemented in StringReader.

Definition at line 42 of file Reader.class.php.

References read().

Here is the call graph for this function:

## Member Data Documentation

const Reader::BLOCK_SIZE = 16384

Definition at line 17 of file Reader.class.php.

The documentation for this class was generated from the following file:

- main/Utils/IO/Reader.class.php